Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface WeibullDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  WeibullDistributionImpl

public interface WeibullDistribution
extends ContinuousDistribution

Weibull Distribution. This interface defines the two parameter form of the distribution as defined by Weibull Distribution, equations (1) and (2). Instances of WeibullDistribution objects should be created using `DistributionFactory.createWeibullDistribution(double, double)`

References:

- Weibull Distribution

Since:
  1.1
Version:
  $Revision: 1.12 $ $Date: 2004-06-23 11:26:18 -0500 (Wed, 23 Jun 2004) $

Method Summary
`double` | `getScale()` Access the scale parameter.
`double` | `getShape()` Access the shape parameter.
`void` | `setScale(double beta)` Modify the scale parameter.
`void` | `setShape(double alpha)` Modify the shape parameter.

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getShape

    public double getShape()

  Access the shape parameter.

  Returns:
    the shape parameter.

### getScale

    public double getScale()

  Access the scale parameter.

  Returns:
    the scale parameter.

### setShape

    public void setShape(double alpha)

  Modify the shape parameter.

  Parameters:
    `alpha` - The new shape parameter value.

### setScale

    public void setScale(double beta)

  Modify the scale parameter.

  Parameters:
    `beta` - The new scale parameter value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.